Prerequisites for installing the Remote Engine Gen2 - Cloud

Talend Remote Engine Gen2 Quick Start Guide

Version
Cloud
Language
English (United States)
Product
Talend Cloud
Module
Talend Management Console
Talend Pipeline Designer
Content
Deployment > Deploying > Executing Pipelines
Installation and Upgrade

Before installing the Remote Engine Gen2, you need to make sure the following prerequisites are satisfied.

  • To download the Remote Engine Gen2 archive, you must have Administrator rights for Talend Cloud Pipeline Designer.
  • To create the Remote Engine Gen2 on Talend Cloud Management Console, you must have the PipelinesEngine Administrator role for Talend Cloud Pipeline Designer.
  • To launch the execution script:
    • You need to have installed Docker and Docker Compose.
    • Compatible Docker versions:
      • docker-compose v1.28 and onwards.
      • docker 20.x.
    • Memory requirements: To run the engine on your machine, your Docker environment needs at least 8GB of memory.
    • Port information: the Remote Engine Gen2 application uses port 9005. Make sure that your firewall allows connection on port 9005.